# $Revision: 1.99 $, $Date: 2009/07/26 01:45:41 $
#
# Conditional build:
%bcond_without	selinux		# build without SELinux support
#
Summary:	GNU Find Utilities (find, xargs)
Summary(de.UTF-8):	GNU-Suchprogramme (find, xargs)
Summary(es.UTF-8):	Utilitarios de búsqueda de la GNU
Summary(fr.UTF-8):	Utilitaires de recherche de GNU (find, xargs)
Summary(pl.UTF-8):	Narzędzia GNU do odnajdywania plików (find, xargs)
Summary(pt_BR.UTF-8):	Utilitários de procura da GNU
Summary(tr.UTF-8):	GNU dosya arama araçları
Name:		findutils
Version:	4.4.2
Release:	1
Epoch:		1
License:	GPL v3+
Group:		Applications/File
# development versions at ftp://alpha.gnu.org/gnu/findutils/
Source0:	http://ftp.gnu.org/gnu/findutils/%{name}-%{version}.tar.gz
# Source0-md5:	351cc4adb07d54877fa15f75fb77d39f
#Source1:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
Source1:	%{name}-non-english-man-pages.tar.bz2
# Source1-md5:	e76388b0c3218eec3557d05ccd6d6515
Patch0:		%{name}-selinux.patch
Patch1:		%{name}-man-selinux.patch
URL:		http://www.gnu.org/software/findutils/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
BuildRequires:	gettext-devel >= 0.14.5
%{?with_selinux:BuildRequires:	libselinux-devel}
BuildRequires:	texinfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The findutils package contains programs which will help you locate
files on your system. The find utility searches through a hierarchy of
directories looking for files which match a certain set of criteria
(such as a filename pattern). The locate utility searches a database
(create by updatedb) to quickly find a file matching a given pattern.
The xargs utility builds and executes command lines from standard
input arguments (usually lists of file names generated by the find
command).

%description -l de.UTF-8
Das findutils-Paket enthält Programme, die dabei helfen, Dateien auf
Ihrem System zu finden. Das Find-Utility durchsucht die
Verzeichnishierarchie nach Dateien, die zu bestimmten Kriterien (z.B.
Dateiname) passen. Das locate-Utility durchsucht eine Datenbank
(erzeugt durch updatedb), um die Dateien schneller finden zu können.
xargs konstruiert Kommandozeilen von der Standardeingabe (z.B.
Dateilisten, die von find erzeugt werden), und führt sie aus.

%description -l es.UTF-8
Este paquete contiene programas para ayúdalo a localizar archivos en
tu sistema. El programa find puede pesquisar, a través de una
jerarquía de directorios, buscando por archivos que obedezcan a un
cierto conjunto de criterios (como nombre de archivo modelo).

%description -l fr.UTF-8
Ce package contient des programmes pour vous aider à localiser des
fichiers sur votre système. Le programme find peut rechercher à
travers une hiérarchie de répertoires des fichiers conformes à
certains critères (comme un type de nom).

%description -l pl.UTF-8
W pakiecie znajdują się narzędzia pozwalające na poszukiwanie
określonych plików. Program find służy do poszukiwania w drzewie
katalogów plików o określonych parametrach, jak nazwa, uprawnienia,
typ czy data ostatniej modyfikacji.

%description -l pt_BR.UTF-8
Esse pacote contém programas para ajudá-lo a localizar arquivos em seu
sistema. O programa find pode procurar através de uma hierarquia de
diretórios procurando por arquivos que obedeçam um certo conjunto de
critérios (como nome de arquivo modelo).

%description -l tr.UTF-8
Bu pakette yer alan yazılımlar sisteminizde yer alan dosyaları
bulabilmeniz için hazırlanmışlardır. find programı ile belirli
özellikleri olan bir yazılımı bir dizin hiyerarşisi altında
arayabilirsiniz.

%prep
%setup -q
%{?with_selinux:%patch0 -p1}
# patch1 is applied in install stage

rm -f po/stamp-po

%build
%{__aclocal} -I gnulib/m4 -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

bzip2 -dc %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}
%{?with_selinux:patch -p0 -d $RPM_BUILD_ROOT%{_mandir} < %{PATCH1}}

# xargs is wanted in /bin
install -d $RPM_BUILD_ROOT/bin
mv $RPM_BUILD_ROOT%{_bindir}/xargs $RPM_BUILD_ROOT/bin

# useless in binary package
rm $RPM_BUILD_ROOT%{_infodir}/find-maint.info*

# unpackaged locate
rm $RPM_BUILD_ROOT%{_bindir}/{locate,updatedb} \
	$RPM_BUILD_ROOT%{_libdir}/{bigram,code,frcode} \
	$RPM_BUILD_ROOT%{_mandir}/{,*/}man?/{locate.1,updatedb.1,locatedb.5}*

rm -f $RPM_BUILD_ROOT{%{_infodir}/dir,%{_mandir}/README.findutils-non-english-man-pages}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc NEWS README TODO ChangeLog
%attr(755,root,root) %{_bindir}/find
%attr(755,root,root) %{_bindir}/oldfind
%attr(755,root,root) /bin/xargs

%{_mandir}/man1/[fx]*
%lang(de) %{_mandir}/de/man1/[fx]*
%lang(es) %{_mandir}/es/man1/[fx]*
%lang(fi) %{_mandir}/fi/man1/[fx]*
%lang(fr) %{_mandir}/fr/man1/[fx]*
%lang(hu) %{_mandir}/hu/man1/[fx]*
%lang(it) %{_mandir}/it/man1/[fx]*
%lang(ja) %{_mandir}/ja/man1/[fx]*
%lang(nl) %{_mandir}/nl/man1/[fx]*
%lang(pl) %{_mandir}/pl/man1/[fx]*
%lang(zh_CN) %{_mandir}/zh_CN/man1/[fx]*
%{_infodir}/find.info*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: findutils.spec,v $
Revision 1.99  2009/07/26 01:45:41  arekm
- up to 4.4.2

Revision 1.98  2008/11/19 02:36:01  glen
- release 2

Revision 1.97  2008/04/08 08:24:51  glen
- unify ftp.gnu.org urls

Revision 1.96  2008-03-18 07:35:25  qboosh
- updated to 4.4.0
- updated info,selinux patches, added pl.po-update patch

Revision 1.95  2008-02-17 03:39:04  qboosh
- updated to 4.2.33
- removed obsolete pl.po-update patch

Revision 1.94  2008-01-25 23:59:28  qboosh
- updated to 4.2.32 (GPL v3; fixes find -ls memory corruption)
- updated pl.po-update,info,selinux patches

Revision 1.93  2008-01-24 01:22:59  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.92  2007-06-01 17:49:04  qboosh
- updated to 4.2.31 (fixes CVE-2007-2452 in locate, but PLD doesn't ship GNU locate,
  so wasn't vulnerable anyway)

Revision 1.91  2007/03/19 23:08:07  qboosh
- updated to 4.2.30
- updated pl.po-update,info patches

Revision 1.90  2007/02/12 21:23:55  glen
- tabs in preamble

Revision 1.89  2007/02/12 00:48:49  baggins
- converted to UTF-8

Revision 1.88  2006/12/01 20:33:58  qboosh
- updated to 4.2.29, updated pl.po-update,info patches

Revision 1.87  2006/08/27 10:00:07  glen
- check-files cleanup

Revision 1.86  2006/08/25 22:52:20  qboosh
- updated to 4.2.28, updated pl.po-update,selinux patches

Revision 1.85  2006/02/05 21:50:21  qboosh
- updated to 4.2.27, updated pl.po-update,info patches

Revision 1.84  2005/11/27 09:30:37  qboosh
- updated to 4.2.26, updated pl.po-update,info,selinux patches

Revision 1.83  2005/10/25 22:23:16  qboosh
- updated to 4.2.25, updated info,selinux,pl.po-update patches

Revision 1.82  2005/06/20 21:54:34  qboosh
- added pl.po-update patch (one msgstr was missing)

Revision 1.81  2005/06/20 17:56:40  undefine
- up to 4.2.23

Revision 1.80  2005/03/27 21:37:13  qboosh
- updated to 4.2.20, updated selinux patch

Revision 1.79  2005/03/07 12:12:07  havner
- wrrr

Revision 1.78  2005/03/07 11:58:08  havner
- 4.2.18, patch1 included in sources

Revision 1.77  2005/02/06 02:13:57  qboosh
- rm po/stamp-po to allow rebuilding pl.gmo

Revision 1.76  2005/02/06 02:12:38  qboosh
- updated to 4.2.16
- updated pl.po-update,selinux patches, removed obsolete pr11495 patch

Revision 1.75  2005/01/23 17:43:10  pluto
- bug #11495 fixed.
- release 2.

Revision 1.74  2005/01/09 17:30:04  qboosh
- updated to 4.2.11, updated pl.po-update,selinux patches, removed obsolete mktemp patch

Revision 1.73  2004/11/26 00:20:12  qboosh
- updated to 4.2.8, updated pl.po-update,selinux patches

Revision 1.72  2004/11/24 20:28:01  qboosh
- updated to 4.2.7, updated pl.po-update,selinux patches
- removed obsolete setlocale patch

Revision 1.71  2004/11/21 22:19:58  qboosh
- updated to 4.2.6 (bugfixes, more POSIX compliance)
- removed obsolete DESTDIR patch, updated pl.po-update,selinux patches
- added setlocale patch (for locales to work)

Revision 1.70  2004/11/17 11:10:46  qboosh
- unified header

Revision 1.69  2004/11/17 10:45:14  glen
- added selinux bcond; rel 2; STBR

Revision 1.68  2004/11/09 00:03:20  qboosh
- updated selinux patch, cleanups

Revision 1.67  2004/11/08 23:31:27  qboosh
- started update to 4.2.4
- updated info,mktemp,pl.po-update patches
- removed obsolete getshort,xargs_help_cr,am patches

Revision 1.66  2004/11/03 01:18:50  radek
- added URL tag

Revision 1.65  2004/10/12 21:55:06  mmazur
- rel 6 for th

Revision 1.64  2004/10/08 19:27:08  undefine
- move xargs to /bin/ (used in geninitrd etc)

Revision 1.63  2004/08/05 19:17:57  qboosh
- added am patch (needed for am 1.9)

Revision 1.62  2004/02/25 14:57:38  qboosh
- updated selinux patch, release 5

Revision 1.61  2004/01/29 09:43:42  qboosh
- added selinux,man-selinux patches
- updated non-english-man-pages
- release 4

Revision 1.60  2004/01/23 12:07:54  jajcus
- Release: 3 (to rebuild on AMD64 and _tag_)

Revision 1.59  2003/08/30 12:34:59  mmazur
- rel 2 for ac

Revision 1.58  2003/06/30 09:46:31  ankry
- md5

Revision 1.57  2003/06/29 21:14:14  qboosh
- up to 4.1.20
- updated DESTDIR patch, removed obsolete am-workaround patch
- added pl.po-update patch, changed xargs_help_cr patch to stop breaking locale

Revision 1.56  2003/05/25 11:00:51  malekith
- massive attack, adding Source-md5

Revision 1.55  2003/05/25 05:47:25  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.54  2002/11/27 19:36:46  juandon
- new %%doc

Revision 1.53  2002/04/25 16:18:17  arturs
fixed a small typo

Revision 1.52  2002/02/23 02:06:14  kloczek
- adapterized.

Revision 1.51  2002/02/22 23:28:52  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.50  2002/02/05 11:59:13  kloczek
- reelase 5: merge translations from Conectiva.

Revision 1.49  2002/02/04 15:43:43  adasi
 - added missing \n at the end of xargs --help

Revision 1.48  2002/01/24 00:12:58  ankry
- added man-pages tar URL

Revision 1.47  2002/01/18 02:12:57  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.46  2001/11/12 07:10:21  ankry
- removed bogus da man pages
- release 4

Revision 1.45  2001/10/24 22:48:48  ankry
- added da, de, es, fi, fr, hu, it, ja, nl man pages
- release 3

Revision 1.44  2001/07/26 05:42:07  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.42  2001/07/19 22:53:23  kloczek
- bump release to 2.

Revision 1.41  2001/05/21 13:12:51  kloczek
- updated to 4.1.7 (Epoch: 1),
- removed obsoleted nolibrt patch.

Revision 1.40  2001/03/15 06:50:23  kloczek
- realy release 3.

Revision 1.39  2001/03/15 05:44:00  kloczek
- release 3, Epoch: 1,
- added nolibrtl patch with hack in autoconf script for remove linking
  binaries with librt (patch from rawhide).

Revision 1.38  2001/03/11 07:16:48  qboosh
- workaround: don't call automake - it breaks build

Revision 1.37  2001/02/16 00:28:54  kloczek
- spec adapterized and added automake to BuildRequires.

Revision 1.36  2001/02/15 21:04:01  mis
- updated (by autoup) to 4.1.6

Revision 1.35  2000/11/12 20:11:54  kloczek
- modyfications for using neew rpm automation.

Revision 1.34  2000/06/09 07:54:40  kloczek
- more %%{__make} macros.

Revision 1.33  2000/06/09 07:22:50  kloczek
- added using %%{__make} macro.

Revision 1.32  2000/05/31 13:15:10  wiget
- added i18n files

Revision 1.31  2000/05/31 13:06:23  wiget
4.1.5

Revision 1.30  2000/05/24 16:50:45  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.29  2000/05/18 20:18:39  kloczek
- spec adapterized.

Revision 1.28  2000/05/01 20:11:40  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.27  2000/04/01 11:14:26  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.26  2000/03/28 16:54:17  baggins
- translated kloczkish into english

Revision 1.25  1999/11/08 16:24:38  kura
fixed pl translation

Revision 1.24  1999/10/03 01:17:01  kloczek
- removed unused Source1,
- added mktemp (tmp race fixes), numblks and getshort patches (from rawhide
  and mandrake),
- added passing LDFLAGS="-s" to ./configure enviromet.

Revision 1.23  1999/09/27 12:59:24  pius
- removed 'Source2: xargs.1.pl'

Revision 1.22  1999/09/27 12:58:13  pius
- added pl translation of find(1) and xargs(1) (findutils-pl_manpages.patch)

Revision 1.21  1999/09/24 10:45:02  pius
- moved running of /usr/sbin/fix-info-dir to %%postun
- release up

Revision 1.20  1999/09/19 09:05:40  pius
- new {un}registering procedure for info pages with using
  /usr/sbin/fix-info-dir,
- standarization to "* text: (link).  description" index info entries format.

Revision 1.19  1999/07/20 12:48:06  wiget
- switch to rpm 3.0.2

Revision 1.18  1999/07/12 23:05:56  kloczek
- added using CVS keywords in %changelog (for automating them).

* Mon Jun 21 1999 Tomasz Kłoczko <kloczek@rudy.mif.pg.gda.pl>
  [4.1-32]
- based on RH spec,
- spec rewrited by PLD team,
- pl translation by Wojtek Ślusarczyk <wojtek@shadow.eu.org>.
